.Dd December 1, 2023
.Dt UPKG \&1 "UObject Reference Manual"
.Os libuobject
.Sh NAME
.Nm upkg
.Nd manipulate UObject packages
.Sh SYNOPSIS
.Nm
.Op Fl i Ns | Ns Fl l Ns | Ns Fl x
.Op Fl v
.Op Fl f Ar package
.Op Ar object ...
.Sh OPTIONS
.Bl -tag -width indent
.It Fl i , \-info
Display information about a package.  More information is displayed at higher
verbosity levels.
.It Fl l , \-list
List objects belonging to a package.
.It Fl x , \-export
Export all exportable objects from a package.
.It Fl v , \-verbose
Increase the amount of information printed to standard output.  This option can
be specified multiple times for increased effect.
.It Fl f , \-file Ar package
Loads a specific package by filename.  Currently, this is the only way to load
packages.
.It Fl V , \-version
Print a version message and exit.
.It Fl H , \-help
Print a help message and exit.
.It Ar object
Specifies the object(s) upon which
.Nm
shall operate.  If no object is specified,
.Nm
will use the last package specified by the
.Fl f
option.
.El
.Sh AUTHORS
Nick Bowler <nbowler@draconx.ca>
.Sh COPYRIGHT
Copyright \(co 2009\(en2011, 2023 Nick Bowler
.Pp
Permission is granted to copy, distribute and/or modify this manual under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.
